site_name: EagleCast / Documentation
theme:
  name: material
  # custom_dir: "mkdocs-material/material"
  logo: "images/logo.svg"
  favicon: "images/favicon.png"
  language: "en"
  font:
    text: 'Inter'
    weights: 400
  direction: 'ltr'
  extra:
  search:
    language: 'en'
  feature:
    tabs: true
  features:
    - navigation.indexes
    - navigation.sections
    - content.code.copy

  palette:
    primary: "white"
    accent: "amber"

site_dir: _out
docs_dir: content

markdown_extensions:
  - admonition
  - pymdownx.highlight
  - pymdownx.superfences
  - toc:
      permalink: true

extra_css:
  - "static/style.css"

copyright: "CC BY-SA 4.0"

nav:
  - "Introduction": index.md
  - "Getting Started":
    - "Installation": installation.md
    - "Configuration": configuration.md
    - "Upgrade": upgrade.md
  - "Using EagleCast":
    - "Concepts": concepts.md
    - "Templating": templating.md
    - "Querying and segmenting subscribers": querying-and-segmentation.md
    - "Bounce processing": bounces.md
    - "Messengers": "messengers.md"
    - "Archives": "archives.md"
    - "Internationalization": "i18n.md"
    - "Integrating with external systems": external-integration.md
    - "User roles and permissions": roles-and-permissions.md
    - "OIDC SSO": oidc.md
  - "API":
    - "Introduction": apis/apis.md
    - "Subscribers": apis/subscribers.md
    - "Lists": apis/lists.md
    - "Import": apis/import.md
    - "Campaigns": apis/campaigns.md
    - "Media": apis/media.md
    - "Templates": apis/templates.md
    - "Transactional": apis/transactional.md
    - "Bounces": apis/bounces.md
  - "Maintenance":
    - "Performance": maintenance/performance.md
  - "Contributions":
    - "Developer setup": developer-setup.md
